# $Revision: 1.35 $, $Date: 2007-02-13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	PasswdMD5
Summary:	Crypt::PasswdMD5 Perl module - an interoperable MD5-based crypt() function
Summary(pl.UTF-8):	Moduł Perla Crypt::PasswdMD5 - funkcja crypt() oparta na MD5
Name:		perl-Crypt-PasswdMD5
Version:	1.3
Release:	1
# same as perl (original was BEER-WARE)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	368205b1be8c0d4f807afe25d6fbd1ad
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The unix_md5_crypt() provides a crypt()-compatible interface to the
rather new MD5-based crypt() function found in modern operating
systems. apache_md5_crypt() provides a function compatible with
Apache's .htpasswd files.

%description -l pl.UTF-8
Funkcja unix_md5_crypt() udostępnia kompatybilny z crypt() interfejs
do dosyć nowej funkcji crypt() opartej na MD5, dostępnej we
współczesnych systemach operacyjnych. Funkcja apache_md5_crypt() jest
kompatybilna z plikami .htpasswd Apache'a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Crypt/PasswdMD5.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-PasswdMD5.spec,v $
Revision 1.35  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.33  2004/11/03 22:30:14  paladine
- formatting

Revision 1.32  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.31  2004/05/06 18:09:25  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 15:21:12  ankry
- tests added

Revision 1.29  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.28  2004/04/14 11:42:39  ankry
- caps and other cosmetics

Revision 1.27  2004/03/06 22:31:40  adamg
- updated to 1.3

Revision 1.26  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.25  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.24  2003/05/28 13:00:30  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.21  2003/03/01 18:46:31  radek
- should be ready for perl-5.8.0; release++

Revision 1.20  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.19  2003/02/18 15:29:31  ankry
- massive attack: change CPAN URLs

Revision 1.18  2002/08/15 17:51:58  qboosh
- pl description, release++

Revision 1.17  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.16  2002/07/19 21:13:47  ankry
- translations, cleaning
- fixed License field
- added manpage to %%files
- release 6

Revision 1.15  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.14  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.12  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.10  2002/02/10 15:25:06  depesz
adapterized

Revision 1.9  2002/02/09 12:59:37  depesz
- unified source path

Revision 1.8  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/07 15:08:55  qboosh
- pl translations, release 3

Revision 1.6  2001/11/28 15:20:15  mis
- buildarch noarch; release++

Revision 1.5  2001/07/10 14:14:15  mis
- autoupdated to 1.2

Revision 1.4  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.3  2001/04/17 12:07:03  baggins
- release 1
- rebuild with perl 5.6.1

Revision 1.2  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.1  2001/02/12 10:22:34  agaran
initial, should work, but its dirty

Revision 1.11  2001/02/12 09:45:52  agaran
Initial, should work
